Skip to main content
PATCH
/
users
/
{id}
Updating a user's routing
curl --request PATCH \
  --url https://api.peeker.ai/api/partner/v1/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "usr_01HZX0C6Z3K4M5N6P7Q8R9S0",
    "email": "alex@acme.com",
    "first_name": "Alex",
    "last_name": "Rivera",
    "status": "active",
    "sequencer": {
      "provider": "smartlead",
      "client_id": 366903
    },
    "created_at": "2026-05-08T12:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Path Parameters

id
string
required

The user ID, e.g. usr_01HZX.

Example:

"usr_01HZX"

Body

application/json
email
string
first_name
string
last_name
string
sequencer
object

Response

200 - application/json

A user.

data
object
required
Last modified on May 14, 2026